<p align="center">
	<a href="https://gitea.innovativedevsolutions.org/IDSolutions/client/releases/latest" target="blank">
		<img src="https://img.shields.io/gitea/v/release/IDSolutions/client?gitea_url=https%3A%2F%2Fgitea.innovativedevsolutions.org" alt="latest-release" /></a>
    <a href="https://gitea.innovativedevsolutions.org/IDSolutions/client/issues" target="blank">
		<img src="https://img.shields.io/gitea/issues/open/IDSolutions/client?gitea_url=https%3A%2F%2Fgitea.innovativedevsolutions.org" alt="open-issues" /></a>
	<a href="https://gitea.innovativedevsolutions.org/IDSolutions/client/actions?workflow=build.yml" target="blank">
		<img src="https://gitea.innovativedevsolutions.org/IDSolutions/client/actions/workflows/build.yml/badge.svg?branch=master" alt="build-status" /></a>
</p>

Arma 3 FORGE: Build Your Legacy\
Version: Alpha 0.1.0

[Development Status: Active]

---

Step into a new era of military simulation with Arma 3 FORGE, a revolutionary framework that transforms Arma 3 into a dynamic persistent world. Create powerful organizations, manage complex operations, and leave your mark on the battlefield.

Key Features:
---
* Strategic Command: From recruitment to deployment, shape your organization into a formidable fighting force. Train operatives, establish hierarchies, and build a name that others will respect or fear
* Living Battlefield: Take on missions that evolve based on your reputation and past actions. Every choice ripples through the world, opening new opportunities or creating powerful enemies
* Financial Empire: Master a deep economic system where success breeds opportunity. Manage operational funds, invest in equipment, and watch your influence grow through smart resource management
* Combat Readiness: Unlock and customize an expanding arsenal of weapons and equipment. Your armory grows with your success, giving your operatives the edge they need
* Logistics Network: Command a fleet of vehicles and assets. From transport to combat support, build the infrastructure that keeps your operations running
* Operations Hub: Transform your headquarters into a powerhouse of strategic planning. Coordinate missions, manage resources, and direct your forces from a central command center
* Global Influence:  Form alliances, manipulate rivalries, and navigate complex political landscapes that shift with your actions
* Endless Possibilities: A modular foundation designed for expansion. Seamlessly integrate new content and shape your perfect military simulation
* Connected World: Forge your path in a persistent multiplayer environment where organizations clash and cooperate for dominance

Arma 3 FORGE delivers a foundation for endless possibilities. Whether commanding elite PMC units, running tactical operations, or building a military empire, your choices create lasting impact.

Perfect for:
* Commanders seeking strategic depth
* Communities wanting persistent progression
* Players driven by meaningful advancement
* Mod developers building next-gen experiences

Arma 3 FORGE - Where every decision shapes your legacy, every mission builds your reputation, and every operation writes your story.

Join us in forging the future of military simulation.

Coming Features:
* Advanced Multiplayer Competition
* Rival Organization Mechanics

Support & Contributions
---
* Lead Developer: Jacob Schmidt
* Contributors:
    * Creedcoder for his invaluable assistance and input.
* Special Thanks: To the Arma 3 community for their ongoing support and feedback.

License:
---
This mod is licensed under the [Arma Public License (APL-SA)](https://www.bohemia.net/community/licenses/arma-public-license-share-alike). Please refer to the LICENSE file for more information on usage and distribution rights.
