#include "..\script_component.hpp"

/*
 * Function: dragonfly_misc_fnc_serializeString
 * Description:
 * Converts spaces in a string to underscores for database storage
 *
 * Parameters:
 * 0: _string - String to convert <STRING>
 *
 * Returns:
 * Converted string <STRING>
 */

params [["_string", "", [""]]];

if (_string isEqualTo "") exitWith { ERROR_MSG("String is empty"); "" };

(_string splitString " ") joinString "_"