#include "..\script_component.hpp"

/*
 * Function: dragonfly_misc_fnc_deserializeString
 * Description:
 * Converts underscores in a string to spaces for display
 *
 * Parameters:
 * 0: _string - String to convert <STRING>
 *
 * Returns:
 * Converted string <STRING>
 */

params [["_string", "", [""]]];

if (_string isEqualTo "") exitWith { ERROR_MSG("String is empty"); "" };

(_string splitString "_") joinString " "