#include "..\script_component.hpp"

private _display = findDisplay IDD_STOREDIALOG;
private _productList = _display displayCtrl IDC_PRODUCTLIST;
private _productIndex = lbCurSel _productList;
private _productData = lbData [IDC_PRODUCTLIST, _productIndex];

private _product = call compile _productData;
private _item = _product select 0;
private _price = _product select 1;
private _configType = _product select 3;
private _itemType = _product select 4;

switch (_configType) do {
    case "item";
    case "weapon";
    case "magazine";
    case "backpack": {
        [_item, _price, _configType, _itemType] call FUNC(buyItem);
    };
    case "vehicle": {
        [_item, _price, _itemType] call FUNC(buyVehicle);
    };
};